asyncapi: 2.6.0
info:
  title: Expression Measurement API
  version: 1.0.0
channels:
  /models:
    bindings:
      ws:
        headers:
          type: object
          properties:
            X-Hume-Api-Key:
              type: string
    publish:
      operationId: models-publish
      summary: subscribe
      message:
        name: subscribe
        title: subscribe
        payload:
          $ref: '#/components/schemas/stream:ModelsSubscribe'
    subscribe:
      operationId: models-subscribe
      summary: publish
      message:
        name: publish
        title: publish
        payload:
          $ref: '#/components/schemas/stream:ModelsPublish'
servers:
  https://api.hume.ai:
    url: wss://api.hume.ai/v0/stream
    protocol: wss
    x-default: true
components:
  schemas:
    stream:ModelsSubscribe:
      oneOf:
        - description: Reference to models_success
        - description: Reference to models_error
        - description: Reference to models_warning
      title: ModelsSubscribe
    stream:ModelsPublish:
      oneOf:
        - description: Reference to models_input
      title: ModelsPublish
